--[[
-- RenderableAttribute
-- Contains information necessary to render things
-- Does not contain the actual implementation
-- Design goals:
--   support rendering custom tiles on the map
--   support rendering menus and such which will ultimately be rendered outside of the map display area
--     (which will be limited to a viewport at a later date).
--]]
RenderableAttribute = Attribute('RenderabeAttribute')



function RenderableAttribute:onInit( rendertype )
	-- types: widget, tile
	-- widget for non map-tile objects, such as menus, messages, etc. etc. defaults to tile
	self.rendertype = rendertype or "tile"
	
end